<!-- src/views/LoginPage.vue -->

<template>
  <div class="mt-2 lg:mt-8 pb-1 lg:pb-3 text-center">
    <h1>Log in</h1>
  </div>

  <div class="grid formgrid p-fluid p-2 w-full lg:w-4 m-auto">
    <div class="field mb-4 col-12">
      <InputText v-model="email" type="text" placeholder="Email (Will be your username)" />
    </div>

    <div class="field mb-4 col-12">
      <InputText v-model="password" type="password" placeholder="Password" />
    </div>

    <div class="col-12 mb-4 flex justify-content-center">
      <Button
        label="LOGIN"
        class="w-auto border-round-lg mt-3 px-8"
        :disabled="!canLogin"
        @click="performLogin"
      ></Button>
    </div>

    <div class="col-12 text-center text-gray-500">
      <a href="/register">Registration</a>
    </div>
  </div>
</template>

<script setup>
import { ref, computed } from 'vue';
import { useUserStore } from '@/stores/userStore';
import { useRouter } from 'vue-router';

const userStore = useUserStore();
const router = useRouter();
const email = ref('');
const password = ref('');

const canLogin = computed(() => {
  return email.value.trim() !== '' && password.value.trim() !== '';
});

const performLogin = async () => {
  try {
    await userStore.login(email.value, password.value);
    console.log('Logged in successfully');
    router.push('/upload');
  } catch (error) {
    alert('Login failed: ' + error.message);
  }
};
</script>
